# Generated by Django 4.0.5 on 2023-01-26 07:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('main', '0032_remove_grades_user_name_grades_user_id'),
    ]

    operations = [
        migrations.AlterField(
            model_name='grades',
            name='description',
            field=models.CharField(max_length=500, verbose_name='описание'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='film_name',
            field=models.CharField(max_length=100, verbose_name='Название фильма'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='num',
            field=models.IntegerField(max_length=100, verbose_name='Оценка'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='title',
            field=models.CharField(max_length=100, unique=True, verbose_name='Заголовок'),
        ),
        migrations.CreateModel(
            name='HistoricalUsers',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('login', models.CharField(default='', max_length=100, verbose_name='имя')),
                ('password', models.CharField(default='', max_length=100, verbose_name='пароль')),
                ('role', models.CharField(choices=[('admin', 'admin'), ('writer', 'writer'), ('reader', 'reader')], default='', max_length=100, verbose_name='роль')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Пользователь',
                'verbose_name_plural': 'historical Пользователи',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalPersons',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Имя')),
                ('img', models.CharField(default='', max_length=100, verbose_name='Фото')),
                ('group', models.CharField(choices=[('actor', 'actor'), ('director', 'director')], default='actor', max_length=100, verbose_name='Группа')),
                ('country', models.CharField(default='', max_length=100, verbose_name='Страна')),
                ('birthdate', models.DateField(default=0, max_length=100, verbose_name='Дата рождения')),
                ('genres', models.CharField(default='', max_length=100, verbose_name='Жанры')),
                ('filmscount', models.IntegerField(default=0, max_length=4, verbose_name='Количество фильмов')),
                ('discription', models.CharField(default='', max_length=9999, verbose_name='Описание')),
                ('url', models.CharField(default='', max_length=100, verbose_name='url')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Персона',
                'verbose_name_plural': 'historical Персоны',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalGroups',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('group', models.CharField(default='best', max_length=100, verbose_name='группа')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Группа',
                'verbose_name_plural': 'historical Группы',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalGrades',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('film_name', models.CharField(max_length=100, verbose_name='Название фильма')),
                ('title', models.CharField(db_index=True, max_length=100, verbose_name='Заголовок')),
                ('num', models.IntegerField(max_length=100, verbose_name='Оценка')),
                ('description', models.CharField(max_length=500, verbose_name='описание')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user_id', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='main.experts', verbose_name='Имя рецензента')),
            ],
            options={
                'verbose_name': 'historical Оценка',
                'verbose_name_plural': 'historical Оценки',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalFilms',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='название')),
                ('img', models.CharField(default='', max_length=100, verbose_name='фото')),
                ('category', models.CharField(choices=[('film', 'film'), ('serial', 'serial')], default='film', max_length=100, verbose_name='категория')),
                ('discription', models.CharField(default='', max_length=9999, verbose_name='описание')),
                ('url', models.CharField(default='', max_length=100, verbose_name='url')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Фильм',
                'verbose_name_plural': 'historical Фильмы',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalExperts',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('rating', models.IntegerField(default=0, max_length=100, verbose_name='рейтинг')),
                ('articles_count', models.IntegerField(default=0, max_length=100, verbose_name='количество рецензий')),
                ('comments_count', models.IntegerField(default=0, max_length=100, verbose_name='количество комментариев')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('expert_name', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='main.users', verbose_name='Имя эксперта')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Эксперт',
                'verbose_name_plural': 'historical Эксперты',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
